New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Failed to load the nuclide package. Problem reading log4js config #1439

Closed
tomchambers2 opened this Issue Jan 22, 2018 · 40 comments

Comments

Projects
None yet
@tomchambers2

tomchambers2 commented Jan 22, 2018

Issue and Steps to Reproduce

Installed through atom package manager UI. Restarted atom, got this error.

Expected Behavior

Throws error and doesn't load

Actual Behavior

Should load without error

Additional Details

Atom: 1.23.3 x64
Electron: 1.6.15
OS: Mac OS X 10.12.6
Thrown From: nuclide package 0.277.0

Stack Trace

Failed to load the nuclide package

At Problem reading log4js config { appenders: 
   [ { type: '/Users/tomchambers/.atom/packages/nuclide/pkg/nuclide-logging/VendorLib/fileAppender.js',
       filename: '/var/folders/7r/stkk_66d0gj686vq7h0fw2tr0000gn/T/nuclide-tomchambers-logs/nuclide.log',
       maxLogSize: 1048576,
       backups: 10,
       layout: [Object] },
     { type: 'logLevelFilter', level: 'WARN', appender: [Object] },
     { type: 'logLevelFilter', level: 'ALL', appender: [Object] } ] }. Error was "Cannot find module './internal/streams/stream'" (Error: Cannot find module './internal/streams/stream'
    at Module._resolveFilename (module.js:470:15)
    at Module._resolveFilename (/Applications/Atom.app/Contents/Resources/electron.asar/common/reset-search-paths.js:35:12)
    at Function.get_Module._resolveFilename (/Applications/Atom.app/Contents/Resources/app/src/module-cache.js:354:58)
    at Module.require (file:///Applications/Atom.app/Contents/Resources/app.asar/static/index.js:40:43)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/nuclide/node_modules/readable-stream/lib/_stream_readable.js:50:14)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/nuclide/node_modules/readable-stream/lib/_stream_readable.js:1008:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (file:///Applications/Atom.app/Contents/Resources/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/autocomplete-json/node_modules/readable-stream/readable.js:12:30)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/autocomplete-json/node_modules/readable-stream/readable.js:21:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (file:///Applications/Atom.app/Contents/Resources/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/nuclide/node_modules/streamroller/lib/BaseRollingFileStream.js:8:12)
    at Object.<anonymous> (/Users/tomchambers/.atom/packages/nuclide/node_modules/streamroller/lib/BaseRollingFileStream.js:129:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3))

Error: Problem reading log4js config { appenders: 
   [ { type: '/Users/tomchambers/.atom/packages/nuclide/pkg/nuclide-logging/VendorLib/fileAppender.js',
       filename: '/var/folders/7r/stkk_66d0gj686vq7h0fw2tr0000gn/T/nuclide-tomchambers-logs/nuclide.log',
       maxLogSize: 1048576,
       backups: 10,
       layout: [Object] },
     { type: 'logLevelFilter', level: 'WARN', appender: [Object] },
     { type: 'logLevelFilter', level: 'ALL', appender: [Object] } ] }. Error was "Cannot find module './internal/streams/stream'" (Error: Cannot find module './internal/streams/stream'
    at Module._resolveFilename (module.js:470:15)
    at Module._resolveFilename (/Applications/Atom.app/Contents/Resources/electron.asar/common/reset-search-paths.js:35:12)
    at Function.get_Module._resolveFilename (/Applications/Atom.app/Contents/Resources/app/src/module-cache.js:354:58)
    at Module.require (/app.asar/static/index.js:40:43)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/nuclide/node_modules/readable-stream/lib/_stream_readable.js:50:14)
    at /packages/nuclide/node_modules/readable-stream/lib/_stream_readable.js:1008:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/autocomplete-json/node_modules/readable-stream/readable.js:12:30)
    at /packages/autocomplete-json/node_modules/readable-stream/readable.js:21:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/nuclide/node_modules/streamroller/lib/BaseRollingFileStream.js:8:12)
    at /packages/nuclide/node_modules/streamroller/lib/BaseRollingFileStream.js:129:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3))
    at configureOnceOff (/packages/nuclide/node_modules/log4js/lib/log4js.js:321:13)
    at Object.configure (/packages/nuclide/node_modules/log4js/lib/log4js.js:376:3)
    at exports.initializeLogging (/packages/nuclide/pkg/nuclide-logging/lib/main.js:63:39)
    at /packages/nuclide/pkg/commons-node/once.js:27:21
    at /packages/nuclide/lib/main.js:114:67)
    at /packages/nuclide/lib/main.js:399:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/nuclide/lib/main-entry.js:33:18)
    at /packages/nuclide/lib/main-entry.js:35:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:239:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (internal/module.js:20:19)
    at customRequire (/Applications/Atom.app/Contents/Resources/app/static/<embedded>:96:26)
    at Package.module.exports.Package.requireMainModule (/Applications/Atom.app/Contents/Resources/app/src/package.js:937:35)
    at /Applications/Atom.app/Contents/Resources/app/src/package.js:160:34
    at Package.module.exports.Package.measure (/Applications/Atom.app/Contents/Resources/app/src/package.js:99:21)
    at Package.module.exports.Package.load (/Applications/Atom.app/Contents/Resources/app/src/package.js:145:18)
    at PackageManager.loadAvailablePackage (/Applications/Atom.app/Contents/Resources/app/src/package-manager.js:618:16)
    at config.transact (/Applications/Atom.app/Contents/Resources/app/src/package-manager.js:531:20)
    at Config.module.exports.Config.transact (/Applications/Atom.app/Contents/Resources/app/src/config.js:342:22)

Commands

     -0:06.3.0 core:select-all (atom-notification.fatal.icon.icon-bug.native-key-bindings.has-detail.has-close.has-stack)

Non-Core Packages

atom-beautify 0.30.9 
busy-signal 1.4.3 
console-log 1.10.0 
emmet 2.4.3 
file-icons 2.1.16 
highlight-selected 0.13.1 
intentions 1.1.5 
language-babel 2.81.1 
linter 2.2.0 
linter-eslint 8.4.0 
linter-ui-default 1.6.10 
nuclide 0.277.0 
nuclide-format-js 0.0.43 
prettier-atom 0.48.0 
set-syntax 0.4.0 
Sublime-Style-Column-Selection 1.7.4 
@zaguiini

This comment has been minimized.

zaguiini commented Jan 31, 2018

Got it on 0.279.0

@ViktorAksionov

This comment has been minimized.

ViktorAksionov commented Feb 26, 2018

Any fix? I got this error after updating nuclide to version 0.284.0

@ViktorAksionov

This comment has been minimized.

ViktorAksionov commented Feb 26, 2018

Uninstalling nuclide and installing it again fixed this issue.

@mnapoleon

This comment has been minimized.

mnapoleon commented Feb 28, 2018

For me this happened after 0.285.0 update appeared to freeze and I shut Atom down. Removed nuclide and reinstalled fixed it

@toblerpwn

This comment has been minimized.

toblerpwn commented Apr 26, 2018

Seeing this 0.300.0

@wellyshen

This comment has been minimized.

wellyshen commented Apr 26, 2018

Me too and reinstall won't fix this issue.

@irrigator

This comment has been minimized.

irrigator commented Apr 26, 2018

In 0.300.0 the error message is

(_collection || _load_collection(...)).DefaultMap is not a constructor

@jacktator

This comment has been minimized.

jacktator commented Apr 26, 2018

Same issue, started throwing in 0.300.0

OSX: 10.13.4
Atom: 1.26.0 x64

@russoue

This comment has been minimized.

russoue commented Apr 26, 2018

I am having the same problem with 0.300.0 on OS X 10.13.4 and Atom 1.26. I tried to uninstall and re-install but that did not help.

@redneckz

This comment has been minimized.

redneckz commented Apr 26, 2018

apm uninstall nuclide && apm install nuclide@0.299.0

@zzyhdu

This comment has been minimized.

zzyhdu commented Apr 26, 2018

apm uninstall nuclide && apm install nuclide@0.299.0 fixed this issue

@AlexSaenen

This comment has been minimized.

AlexSaenen commented Apr 26, 2018

Hi after breakpointing my Atom for the issue in 0.300.0 with DefaultMap not being a constructor, I have found out that the file that should contain DefaultMap like here on GitHub does not contain DefaultMap in Atom, maybe the update didn't modify all the files and my nuclide-commons/collection.js (maybe other files too) is not up to date, resulting in the issue

@ferpalma21

This comment has been minimized.

ferpalma21 commented Apr 26, 2018

Have this problem (_collection || _load_collection(...)).DefaultMap is not a constructor

@KitsGithub

This comment has been minimized.

KitsGithub commented Apr 26, 2018

apm install nuclide@0.299.0 can fix this problem

@FabioFelizzi

This comment has been minimized.

FabioFelizzi commented Apr 26, 2018

Has there been any updates yet? I know using 299.0 is a viable solution for now but I can't be the only one who finds that "1 update" notification annoying :P

@ferpalma21

This comment has been minimized.

ferpalma21 commented Apr 26, 2018

The only way I found to fix it is going back to the version 0.299.0; if you want to go back you can do it like:

 apm install <nameOfThePackage>@<version>
 apm install nuclide@0.299.0

@FabioFelizzi So annoying!!!

@MoOx

This comment has been minimized.

MoOx commented Apr 26, 2018

Hey, please stop doing +1 or repeating what have been told.

Workaround

apm uninstall nuclide && apm install nuclide@0.299.0

If you have something like "Auto-Update-Packages", remember to disable it.

Fix

Will be around when this issue is handled by someone. No need to ask "is there any news"? or "+1".
Use github reaction on the initial post to tell maintainers that you want this to be fixed. Useless comments won't help or give motivations.

@xlliang

This comment has been minimized.

xlliang commented Apr 28, 2018

[Enter steps to reproduce:]

  1. ...
  2. ...

Atom: 1.26.1 x64
Electron: 1.7.11
OS: Mac OS X 10.13.4
Thrown From: nuclide package 0.300.0

Stack Trace

Failed to load the nuclide package

At (_collection || _load_collection(...)).DefaultMap is not a constructor

TypeError: (_collection || _load_collection(...)).DefaultMap is not a constructor
    at /packages/nuclide/modules/nuclide-commons-atom/ExperimentalMessageRouter.js:73:15)
    at activateExperimentalPackages (/packages/nuclide/modules/nuclide-commons-atom/experimental-packages.js:104:564)
    at FeatureLoader.load (/packages/nuclide/modules/nuclide-commons-atom/FeatureLoader.js:118:94)
    at /packages/nuclide/lib/main.js:165:17)
    at /packages/nuclide/lib/main.js:448:3)
    at Module.get_Module._compile (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/compile-cache.js:240:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/nuclide/lib/main-entry.js:33:18)
    at /packages/nuclide/lib/main-entry.js:35:3)
    at Module.get_Module._compile (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/compile-cache.js:240:29)
    at Module.load (module.js:488:32)
    at tryModuleLoad (module.js:447:12)
    at Function.Module._load (module.js:439:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (internal/module.js:20:19)
    at customRequire (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/static/<embedded>:96:26)
    at Package.requireMainModule (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package.js:782:33)
    at measure (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package.js:143:22)
    at Package.measure (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package.js:88:25)
    at Package.load (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package.js:129:16)
    at PackageManager.loadAvailablePackage (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package-manager.js:618:16)
    at config.transact (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package-manager.js:531:20)
    at Config.transact (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/config.js:819:20)
    at PackageManager.loadPackages (/private/var/folders/mt/vylksjfx2377x4fwvffmqkkm0000gn/T/AppTranslocation/7B830FD5-CEA8-4D19-83F6-3BDE109D57FF/d/Atom.app/Contents/Resources/app/src/package-manager.js:529:23)

Commands

Non-Core Packages

nuclide 0.300.0 
@chmac

This comment has been minimized.

chmac commented May 1, 2018

There are 2 errors in this issue. I'm not sure why, but atom linked me here for the second one.

Alternative Workaround

See the discussion in #1512 for more detail, but I was able to get the current version of nuclide (0.301.0) running by removing the duplicated nuclide-commons package from node_modules like so:

rm -rf ~/.atom/packages/nuclide/node_modules/nuclide-commons/
@SalahAdDin

This comment has been minimized.

SalahAdDin commented May 12, 2018

@chmac, thank you!

@jgebhardt

This comment has been minimized.

Member

jgebhardt commented Jul 9, 2018

Does this still repro with a more current Nuclide version such as 0.321?

@kamronbatman

This comment has been minimized.

kamronbatman commented Jul 11, 2018

I just got this problem while updating to the newest version (v0.321)

@gnagyusa

This comment has been minimized.

gnagyusa commented Jul 12, 2018

I got this problem when starting Atom from the command line on Linux. Starting it from the desktop UI works fine, though.

@jgebhardt

This comment has been minimized.

Member

jgebhardt commented Aug 29, 2018

Ah, thanks. Sorry about that! Check out #1512 (comment) for a likely workaround.

@jgebhardt jgebhardt closed this Aug 29, 2018

@andrewdyates

This comment has been minimized.

andrewdyates commented Oct 19, 2018

I'm still getting this exception.

[Enter steps to reproduce:]

  1. Install Nuclide from Atom Install menu
  2. This error appears

Atom: 1.31.2 x64
Electron: 2.0.7
OS: Mac OS X 10.13.6
Thrown From: nuclide package 0.360.0

Stack Trace

Failed to load the nuclide package

At installErrorReporter was called multiple times.

Error: installErrorReporter was called multiple times.
    at installErrorReporter (/packages/nuclide/lib/installErrorReporter.js:44:11)
    at /packages/nuclide/lib/main.js:248:67)
    at /packages/nuclide/lib/main.js:585:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:240:29)
    at Module.load (module.js:561:32)
    at tryModuleLoad (module.js:504:12)
    at Function.Module._load (module.js:496:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:66:33)
    at /packages/nuclide/lib/main-entry.js:35:18)
    at /packages/nuclide/lib/main-entry.js:37:3)
    at Module.get_Module._compile (/Applications/Atom.app/Contents/Resources/app/src/native-compile-cache.js:106:36)
    at Object.value [as .js] (/Applications/Atom.app/Contents/Resources/app/src/compile-cache.js:240:29)
    at Module.load (module.js:561:32)
    at tryModuleLoad (module.js:504:12)
    at Function.Module._load (module.js:496:3)
    at Module.require (/app.asar/static/index.js:47:45)
    at require (internal/module.js:11:18)
    at customRequire (/Applications/Atom.app/Contents/Resources/app/static/<embedded>:96:26)
    at Package.requireMainModule (/Applications/Atom.app/Contents/Resources/app/src/package.js:782:33)
    at measure (/Applications/Atom.app/Contents/Resources/app/src/package.js:143:22)
    at Package.measure (/Applications/Atom.app/Contents/Resources/app/src/package.js:88:25)
    at Package.load (/Applications/Atom.app/Contents/Resources/app/src/package.js:129:16)
    at PackageManager.loadAvailablePackage (/Applications/Atom.app/Contents/Resources/app/src/package-manager.js:619:16)
    at PackageManager.loadPackage (/Applications/Atom.app/Contents/Resources/app/src/package-manager.js:552:25)
    at PackageManager.activatePackage (/Applications/Atom.app/Contents/Resources/app/src/package-manager.js:690:23)
    at /Applications/Atom.app/Contents/Resources/app/node_modules/settings-view/lib/package-manager.js:491:35
    at exit (/Applications/Atom.app/Contents/Resources/app/node_modules/settings-view/lib/package-manager.js:128:22)
    at triggerExitCallback (/Applications/Atom.app/Contents/Resources/app/src/buffered-process.js:267:15)

Commands

     -0:20.2.0 core:copy (atom-notification.fatal.icon.icon-bug.native-key-bindings.has-detail.has-close.has-stack)

Non-Core Packages

nuclide 0.360.0 
@anandkumarpathak

This comment has been minimized.

anandkumarpathak commented Oct 20, 2018

I got the exception for nuclide v 0.360.0 on windows. Installing v0.357.0 worked for me.

@solomon71

This comment has been minimized.

solomon71 commented Oct 21, 2018

Same on macOS Mojave, exception thrown on 0.360.0, installing 0.357.0 worked.

@melkishengue

This comment has been minimized.

melkishengue commented Oct 21, 2018

I am trying to install version 0.299.0, as stated as workaround in previous comments, but:

apm install nuclide@0.299.0

Package version: 0.299.0 not found

@tbleckert

This comment has been minimized.

tbleckert commented Oct 21, 2018

Installing 0.357.0 worked for me, as suggested by @solomon71

@cjboco

This comment has been minimized.

cjboco commented Oct 22, 2018

I am trying to install version 0.299.0, as stated as workaround in previous comments, but:

apm install nuclide@0.299.0

Package version: 0.299.0 not found

Use app install nuclide@0.357.0

@kamronbatman

This comment has been minimized.

kamronbatman commented Oct 22, 2018

@melkishengue, any particular reason to install 0.299? It was obviously faulty and should not be used. And generally (sorry for the broken record) you should use the newest version.

EDIT: I didn't realize 0.360.0 was broken and linking here. So yeah, do what @cjboco said.

@ermik

This comment has been minimized.

ermik commented Oct 24, 2018

Just blew up on update to latest.

@darkmanAmazigh

This comment has been minimized.

darkmanAmazigh commented Oct 24, 2018

i goting this message every time i open ATOM IDE,
After installing nuclide 0.360.0

@CaptainMorgans

This comment has been minimized.

CaptainMorgans commented Oct 24, 2018

I also get this same error as Joel Dayjo posted in this thread

Cannot find module '../../fb-appsession-observer'

Hide Stack Trace
Error: Cannot find module '../../fb-appsession-observer'
at Module._resolveFilename (module.js:543:15)
at Module._resolveFilename (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\electron.asar\common\reset-search-paths.js:35:12)
at Function.get_Module._resolveFilename (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:154663)
at Module.require (file:///C:/Users/Stephen/AppData/Local/atom/app-1.33.0-beta0/resources/app.asar/static/index.js:40:43)
at require (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:145970)
at _fbAppsessionObserver (C:\Users\Stephen.atom\packages\nuclide\pkg\nuclide-logging\lib\main.js:60:16)
at setupLoggingService (C:\Users\Stephen.atom\packages\nuclide\pkg\nuclide-logging\lib\main.js:132:71)
at initializeLogging (C:\Users\Stephen.atom\packages\nuclide\pkg\nuclide-logging\lib\main.js:125:3)
at C:\Users\Stephen.atom\packages\nuclide\modules\nuclide-commons\once.js:28:21
at Object. (C:\Users\Stephen.atom\packages\nuclide\lib\main.js:250:41)
at Object. (C:\Users\Stephen.atom\packages\nuclide\lib\main.js:585:3)
at Module.get_Module._compile (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:146680)
at Object.value [as .js] (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:150227)
at Module.load (module.js:561:32)
at tryModuleLoad (module.js:504:12)
at Function.Module._load (module.js:496:3)
at Module.require (file:///C:/Users/Stephen/AppData/Local/atom/app-1.33.0-beta0/resources/app.asar/static/index.js:47:45)
at require (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:145970)
at Object. (C:\Users\Stephen.atom\packages\nuclide\lib\main-entry.js:35:18)
at Object. (C:\Users\Stephen.atom\packages\nuclide\lib\main-entry.js:37:3)
at Module.get_Module._compile (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:146680)
at Object.value [as .js] (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:150227)
at Module.load (module.js:561:32)
at tryModuleLoad (module.js:504:12)
at Function.Module._load (module.js:496:3)
at Module.require (file:///C:/Users/Stephen/AppData/Local/atom/app-1.33.0-beta0/resources/app.asar/static/index.js:47:45)
at require (internal/module.js:11:18)
at customRequire (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:1:626126)
at Package.requireMainModule (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:3035887)
at measure (C:\Users\Stephen\AppData\Local\atom\app-1.33.0-beta0\resources\app\static<embedded>:11:3022598)

@rickmrobin

This comment has been minimized.

rickmrobin commented Oct 25, 2018

Got the same error. And unable to view the project tree view.

facing the problem after updating nuclide to latest

@ahmadalfy

This comment has been minimized.

ahmadalfy commented Oct 25, 2018

@rickmrobin Accidentally restarted atom and the latest update was installed. Now I am facing the same issue

@spyshower

This comment has been minimized.

spyshower commented Oct 25, 2018

@rickmrobin Hey man got the same issue, I fixed it by enabling the 'tree-view' package inside Atom!

@jgebhardt

This comment has been minimized.

Member

jgebhardt commented Oct 25, 2018

Try updating the nuclide package - we just pushed v0.362.0, which should fix the fb-appsession-observer issue.

@PointedEars

This comment has been minimized.

PointedEars commented Oct 26, 2018

Try updating the nuclide package - we just pushed v0.362.0, which should fix the fb-appsession-observer issue.

WFM, thx.

@spyshower

This comment has been minimized.

spyshower commented Oct 26, 2018

Try updating the nuclide package - we just pushed v0.362.0, which should fix the fb-appsession-observer issue.

Which just says it's incompatible with nuclide, and you need to disable nuclide...

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment